Package org.eclipse.lemminx.uriresolver

## Class ResolvedURIInfo

- java.lang.Object
- - org.eclipse.lemminx.uriresolver.ResolvedURIInfo

    public class ResolvedURIInfo
    extends Object

Resolver URI information.

### Constructor Summary

Constructors
`ResolvedURIInfo​(String resolvedURI, URIResolverExtension resolver)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getResolvedURI()` Returns the resolved URI.
`String` `getResolverName()` Returns the resolver name `URIResolverExtension.getName()` (ex : 'default', 'file association) used to resolve the URI.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResolvedURIInfo

    public ResolvedURIInfo​(String resolvedURI,
                           URIResolverExtension resolver)

### Method Detail

#### getResolvedURI

    public String getResolvedURI()

Returns the resolved URI.

Returns:
  the resolved URI.

#### getResolverName

    public String getResolverName()

Returns the resolver name `URIResolverExtension.getName()` (ex : 'default', 'file association) used to resolve the URI.

Returns:
  the resolver name `URIResolverExtension.getName()` (ex : 'default', 'file association) used to resolve the URI.